List Disputes - Flex Documentation
List Disputes
cURL
curl --request GET \
--url https://api.withflex.com/v1/disputes \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.withflex.com/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.withflex.com/v1/disputes",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/disputes")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/disputes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 401
- 403
- 404
- 409
- 422
- 429
Example Response
{
"disputes": [
{
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}
Error Response
{
"code": "string",
"detail": "string"
}
Query Parameters
- limit: Maximum number of disputes to return (default 20, max 100).
- Example:
10
- Example:
- starting_after: A cursor for pagination,
- Example:
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- Example:
- ending_before: A cursor for pagination,
- Example:
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- Example:
- charge: Filter by charge ID.
- Example:
"fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- Example:
- payment_intent: Filter by payment intent ID.
- Example:
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- Example:
- statuses: Filter by dispute statuses (comma-separated).
- Example:
"lost"
- Example:
- expand: Comma-separated list of fields to expand (e.g.,
?expand=evidence).
Response
Returns an envelope wrapping a list of dispute objects.